
Foreman - Bug #2655

Missing buttons on host page with non-managed hosts

06/11/2013 12:41 PM - Anonymous

Status: Closed   

Priority: Low   

Assignee: Greg Sutcliffe   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On a host page the buttons "Facts", "Reports" and "YAML" are not displayed anymore if the host is non-managed.

They were there in 1.1.

Associated revisions

Revision e902d939 - 06/21/2013 03:45 AM - Greg Sutcliffe

Fixes #2655 - Display Host buttons on unmanaged hosts if a puppet proxy exists

Revision dbcdb87f - 06/21/2013 03:59 AM - Greg Sutcliffe

Fixes #2655 - Display Host buttons on unmanaged hosts if a puppet proxy exists

(cherry picked from commit e902d93997b7ed04cc06cebe03674752fafc758d)

History

#1 - 06/11/2013 12:46 PM - Greg Sutcliffe

- Status changed from New to Ready For Testing

This was caused by f7640652 in which these buttons are hidden when a host does not have an associated puppet proxy. However, hosts created by

fact-upload will never have an associated puppet proxy ID, so we need to account for that.

https://github.com/theforeman/foreman/pull/712

#2 - 06/11/2013 01:11 PM - Anonymous

The patch works for me

#3 - 06/21/2013 04:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e902d93997b7ed04cc06cebe03674752fafc758d.
